libzypp: zypp::AutoFREE< Tp > Struct Template Reference

libzypp 17.25.10

Public Member Functions | List of all members
zypp::AutoFREE< Tp > Struct Template Reference

`#include <AutoDispose.h>`

Inheritance diagram for zypp::AutoFREE< Tp >:
[legend]

## Public Member Functions
| AutoFREE (Tp *ptr_r=nullptr)
| AutoFREE (void *ptr_r)
Public Member Functions inherited from zypp::AutoDispose< Tp * >
| AutoDispose ()
| Default Ctor using default constructed value and no dispose function. More...
| AutoDispose (const Dispose &dispose_r)
| Ctor taking dispose function and using default constructed value. More...
| AutoDispose (param_type value_r)
| Ctor taking value and no dispose function. More...
| AutoDispose (param_type value_r, const Dispose &dispose_r)
| Ctor taking value and dispose function. More...
| operator reference () const
| Provide implicit conversion to `Tp&`. More...
reference | value () const
| Reference to the `Tp` object. More...
reference | operator* () const
| Reference to the `Tp` object. More...
value_type * | operator-> () const
| Pointer to the `Tp` object (asserted to be `!= NULL`). More...
void | reset ()
| Reset to default Ctor values. More...
void | swap (AutoDispose &rhs)
| Exchange the contents of two AutoDispose objects. More...
const Dispose & | getDispose () const
| Return the current dispose function. More...
void | setDispose (const Dispose &dispose_r)
| Set a new dispose function. More...
void | resetDispose ()
| Set no dispose function. More...
void | swapDispose (Dispose &dispose_r)
| Exchange the dispose function. More...

## Additional Inherited Members
Public Types inherited from zypp::AutoDispose< Tp * >
typedef boost::call_traits< Tp * >::param_type | param_type
typedef boost::call_traits< Tp * >::reference | reference
typedef boost::call_traits< Tp * >::const_reference | const_reference
typedef Tp * | value_type
typedef boost::call_traits< Tp * >::value_type | result_type
typedef function< void(param_type)> | Dispose
| Dispose function signatue. More...
Related Functions inherited from zypp::AutoDispose< Tp * >
std::ostream & | operator<< (std::ostream &str, const AutoDispose< Tp * > &obj)
| Stream output of the `Tp` object. More...

## Detailed Description

template<typename Tp>
struct zypp::AutoFREE< Tp >

Definition at line 302 of file AutoDispose.h.

## Constructor & Destructor Documentation

## ◆ AutoFREE() [1/2]

template<typename Tp >

zypp::AutoFREE< Tp >::AutoFREE | ( | Tp * | ptr_r = `nullptr` | ) |
| inline

Definition at line 304 of file AutoDispose.h.

## ◆ AutoFREE() [2/2]

template<typename Tp >

zypp::AutoFREE< Tp >::AutoFREE | ( | void * | ptr_r | ) |
| inline

Definition at line 305 of file AutoDispose.h.

The documentation for this struct was generated from the following file:

- zypp/AutoDispose.h